import excel "/Users/kairu/Downloads/Data-GDPpc-UNEMP2.xlsx", sheet("Sheet2") firstrow
*Convert to numeric
destring Unemployment_, replace


*Set dataset to time-series

tsset Year

*Time-series plots

tsline GDP_per_capita

tsline  Unemployment_

*Checking stationarity

dfuller GDP_per_capita, lags(0)

dfuller Unemployment, lags(0) 

*First-order differencing
gen GDP_per_capita_diff = GDP_per_capita - L.GDP_per_capita
gen Unemployment_diff = Unemployment - L.Unemployment if !missing(Unemployment)

*Confirm stationarity
dfuller GDP_per_capita_diff, lags(0)

dfuller Unemployment_diff, lags(0)

*Autocorreltion and partial autocorrelation plots
ac GDP_per_capita_diff
pac GDP_per_capita_diff

ac Unemployment_diff
pac Unemployment_diff
